Bug 1104328 - [GSS] (6.3.1) 'Compatible Change' Marshalling does not allow classes to be removed from the class hierarchy of a serialized class
Summary: [GSS] (6.3.1) 'Compatible Change' Marshalling does not allow classes to be re...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.1
Assignee: David M. Lloyd
QA Contact: Jitka Kozana
Russell Dickenson
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1122328
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1102266 1104336
TreeView+ depends on / blocked
 
Reported: 2014-06-03 18:41 UTC by Brad Maxwell
Modified: 2018-12-09 17:56 UTC (History)
7 users (show)

(edit)
** Bug fix text needed

A `ClassNotFoundException` may be encountered during unmarshalling if a class is missing from the hierarchy of a serialized class.

For example, if one system marshals class A, which extends class B, which, in turn extends class C, which is sent to a system that does not contain all three classes in the same hierarchy, an exception may be encountered on the missing class.

This issue will be addressed in the next release of the product.
Clone Of:
: 1104336 1122328 (view as bug list)
(edit)
Last Closed: 2014-10-13 18:39:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBMAR-162 Major Resolved Removing a class from a hierarchy causes CNFE 2015-11-13 10:57 UTC

Description Brad Maxwell 2014-06-03 18:41:19 UTC

Comment 1 Brad Maxwell 2014-06-03 18:43:55 UTC
Resolved by component upgrade to  1.4.7.Final or later

Comment 2 Kabir Khan 2014-07-01 14:51:10 UTC
Moving back to ASSIGNED since 6.3.0 is still on 1.4.7

Comment 4 sgilda 2014-07-29 19:46:13 UTC
Based on Bug 1123331 and the comment above that this will not make the 6.3.0 ship, changing the Doc Type from 'Bug Fix' to 'Known Issue'.

Comment 5 sgilda 2014-07-29 19:57:24 UTC
Updated the release notes Doc Text field to indicate it is a known issue instead of a bug fix.

Comment 6 sgilda 2014-07-31 17:33:27 UTC
Per Bug 1123331, fixed the Doc Text: s/marshalling/unmarshalling

Comment 7 Ladislav Thon 2014-09-01 12:48:18 UTC
Verified with EAP 6.3.1.CR1.


Note You need to log in before you can comment on or make changes to this bug.